Skip to main content
`Ctrl`+`K`

# MatDenseHIPGetArray

Provides access to the HIP buffer inside a `MATDENSEHIP` matrix. The array must be restored with `MatDenseHIPRestoreArray()` when no longer needed.

## Synopsis

    PetscErrorCode MatDenseHIPGetArray(Mat A, PetscScalar **a)

Not Collective

## Input Parameter

- A - the matrix

## Output Parameter

- a - the GPU array in column major order

## Note

Data can be copied to the GPU due to operations done on the CPU. If you need write only access, use `MatDenseHIPGetArrayWrite()`. For read-only access, use `MatDenseHIPGetArrayRead()`.

## See Also

`MATDENSEHIP`, `MatDenseHIPGetArrayRead()`, `MatDenseHIPRestoreArray()`, `MatDenseHIPRestoreArrayWrite()`, `MatDenseHIPGetArrayWrite()`, `MatDenseHIPRestoreArrayRead()`

## Level

developer

## Location

src/mat/impls/dense/mpi/cupm/hip/matmpidensehip.hip.cpp

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages